org.apache.cassandra.cql3

## Class ColumnCondition.Bound

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnCondition.Bound

Enclosing class:
  ColumnCondition

    public abstract static class ColumnCondition.Bound
    extends java.lang.Object

### Field Summary

Fields
`ColumnDefinition` `column`

### Constructor Summary

Constructors
`protected` `ColumnCondition.Bound(ColumnDefinition column)`

### Method Summary

Methods
`abstract boolean` `appliesTo(Composite rowPrefix, ColumnFamily current, long now)` Validates whether this condition applies to `current`.
`protected java.util.Iterator<Cell>` `collectionColumns(CellName collection, ColumnFamily cf, long now)`
`protected boolean` `equalsValue(java.nio.ByteBuffer value, Cell c, AbstractType<?> type, long now)`
`java.nio.ByteBuffer` `getCollectionElementValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### column

    public final ColumnDefinition column

### Constructor Detail

#### ColumnCondition.Bound

    protected ColumnCondition.Bound(ColumnDefinition column)

### Method Detail

#### appliesTo

    public abstract boolean appliesTo(Composite rowPrefix,
                    ColumnFamily current,
                    long now)
                               throws InvalidRequestException

Validates whether this condition applies to `current`.

Throws:
  `InvalidRequestException`

#### getCollectionElementValue

    public java.nio.ByteBuffer getCollectionElementValue()

#### equalsValue

    protected boolean equalsValue(java.nio.ByteBuffer value,
                      Cell c,
                      AbstractType<?> type,
                      long now)

#### collectionColumns

    protected java.util.Iterator<Cell> collectionColumns(CellName collection,
                                             ColumnFamily cf,
                                             long now)